import ij.*;
import ij.plugin.filter.PlugInFilter;
import ij.process.*;

//load vfsc package
import vfstagecontroller.*;
/**
 * <p>Title: Prior_Controller.java</p>
 * <p>Description: A simple dialog to control prior controller. </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: Policlinico Universitario di Udine</p>
 * @author Federico Viel
 * @version 1.0
 */
public class Prior_Controller implements PlugInFilter {
  private String ABOUT="Policlinico Universitario di Udine,\n"+
                       "hereby disclaims all copyright interest in this program.\n"+
                       "Written by: Federico Viel\n"+
                       "Copyright (C) 2003\n\n"+
                       "This program comes with ABSOLUTELY NO WARRANTY;\n"+
                       "This is free software, and you are welcome to redistribute\n"+
                       "it under certain conditions; For details pleas see the GNU\n"+
                       "Genearal Public Licence\nhttp://www.opensource.org/licenses/gpl-license.php";

  public int setup(String arg, ImagePlus imp) {

    return NO_IMAGE_REQUIRED+NO_CHANGES;

  }

  public void run(ImageProcessor ip) {
    //Create and display a new StageCtrlDialog window
    //param true means the dialog is created from a plugin
    StageCtrlDialog dialogo=new StageCtrlDialog(true);
    return;
  }



  void error(String msg) {
    IJ.showMessage("Error",msg);
  }

  public void showAbout() {
    IJ.showMessage("About Prior controller", ABOUT);
  }
}